// FileReadGidlet.java

import ch.aplu.gidlet.*;

public class FileReadGidlet extends Gidlet
{
  private final String path = "root1/foo.txt";
  private MConsole c = new MConsole();

  public void main()
  {
    MFile mf = new MFile(path);
    if (!mf.isFile())
    {
      c.println("File\n" + path + "\nnot found");
      return;
    }

    c.println("Reading data from file\n" +
               mf.getPath() + "...");
    String content = mf.read();
    if (content == null)
    {
      c.println("read() failed");
      return;
    }
    if (content.equals(""))
    {
      c.println("File empty");
      return;
    }
    c.println("Content of file:");
    c.println(content);
  }
}

