// JManGidlet.java

import ch.aplu.gidlet.*;

public class JManGidlet extends Gidlet
{
  private final String s = "/res/jman.png";

  public void main()
  {
    MPanel p = new MPanel(0, 100, 0, 100);
    p.bgColor(BLUE);
    double width = p.imageWidth(s);
    double height = p.imageHeight(s);
    double ulx = 0;
    double uly = 50 + height;
    double step = 2;
    if (width != 0)  // Image loaded
    {
      p.enableFlush(false);
      while (true)
      {
        p.drawImage(s, ulx, uly);
        p.flush();
        ulx += step;
        if (ulx > 100 - width || ulx < 0)
          step = -step;
        p.clear();
      }
    }
    else
      p._label("loading img failed", 25);
  }

}
