// MoveBallGidlet.java

import ch.aplu.gidlet.*;

public class MoveBallGidlet extends Gidlet
{
  private volatile boolean isRunning = true;

  public void main()
  {
    double xcenter = 0;
    double ycenter = 0;;
    double radius = 10;
    double step = 1;

    MPanel p = new MPanel(-110, 110, -110, 110);
    p.enableFlush(false);

    while (isRunning)
    {
      p.clear();
      p.color(BLACK);
      p.rectangle(-100, -100, 100, 100);
      p.color(RED);
      xcenter += step;
      if (xcenter > 100 -radius || xcenter < -100 + radius)
        step = -step;
      p.move(xcenter, ycenter);
      p.fillCircle(radius);
      p.flush();
    }
    p._label("Cleaning up now...", 15);
    p.flush();
    delay(3000);
    notifyDestroyed();
  }

  public void doExit()
  {
    isRunning = false;
  }

}




