  // PythGidlet.java

import ch.aplu.gidlet.*;

public class PythGidlet extends Gidlet
{
  private Turtle t = new Turtle(false);

  public void main()
  {
    t.setPos(0, -180);
    pyth(60);
  }

  private void pyth(double s)
  {
    final double alpha = 36.8699;

    if (isExiting())
      return;

    if (3.0 / 5 * s < 1)
      return;

    for (int i = 0; i < 4; i++)
    {
      t.fd(s);
      t.rt(90);
    }
    t.pu();
    t.fd(s);
    t.lt(alpha);
    t.pd();
    pyth(4.0 / 5 * s);
    t.pu();
    t.rt(90);
    t.fd(4.0 / 5 * s);
    t.pd();
    pyth(3.0 / 5 * s);
    t.pu();
    t.bk(4.0 / 5 * s);
    t.lt(90 - alpha);
    t.bk(s);
    t.pd();
  }

}

