// RubberBandGidlet.java
// Press Ok to start and stop selection
// Use cursor keys to change position of endpoint

import javax.microedition.lcdui.*;
import ch.aplu.gidlet.*;

public class RubberBandGidlet extends Gidlet
{
  private MPanel p = new MPanel("OK and cursor", 0, 100, 0, 100);
  private double ulx;
  private double uly;
  private boolean select = false;

  public void main()
  {
    p.addOkButton();
    p.addKeyListener(this);
    p.move(50, 50);
    p.fillCircle(30);
    p.savePanel();
  }

  public void doOk()
  {
    if (select)
    {
      select = false;
      p.addKeyListener(null);
      p.restorePanel();
      p.color(BLACK);
    }
    else
    {
      select = true;
      p.addKeyListener(this);
      ulx = 90;
      uly = 90;
      p.color(RED);
      p.line(10, 10, ulx, uly);
    }
  }

  public void keyPressed(int keyCode)
  {
    keyRepeated(keyCode);
  }

  public void keyRepeated(int keyCode)
  {
    int step = 5;
    boolean ok = false;
    switch (p.getGameAction(keyCode))
    {
      case Canvas.UP:
        uly += step;
        ok = true;
        break;

      case Canvas.DOWN:
        uly -= step;
        ok = true;
        break;

      case Canvas.LEFT:
        ulx -= step;
        ok = true;
        break;

      case Canvas.RIGHT:
        ulx += step;
        ok = true;
        break;
    }
    if (ok)
    {
      p.restorePanel();
      p.line(10, 10, ulx, uly);
    }
  }
}
