// BtUploadGidlet.java

import ch.aplu.gidlet.*;
import ch.aplu.nxt.*;
import ch.aplu.nxt.platform.*;

public class BtUploadGidlet extends Gidlet
{
  private final String path = "e:/NXT/TurtleStep.nxj";

  public void main()
  {
    NxtRobot robot = new NxtRobot();
    MConsole c = new MConsole();
    MFile mf = new MFile(path);
    String progName = mf.getName();

    c.println("Trying to upload\n" + path);
    boolean success = PlatformTools.sendFile(robot, mf);
    if (success)
    {
      Tools.delay(2000);
      c.println("Upload successful");
      c.println("Trying to start\n" + progName + "...");
      success = robot.startProgram(progName);
      if (success)
        c.println("Successfully started");
      else
        c.println("Failed to start program");
    }
    else
      c.println("Upload failed");
    robot.disconnect();
  }
}


