// FormValidateGidlet.java

import ch.aplu.gidlet.*;
import javax.microedition.lcdui.*;

public class FormValidateGidlet extends Gidlet
{
  private TextField tf1;
  private TextField tf2;
  private StringItem it;
  private String firstName;
  private String familyName;
  private volatile boolean ok = false;

  private MForm form = new MForm("MForm Validation");

  public void main()
  {
    tf1 = form.addInputField("Your first name:", "");
    tf2 = form.addInputField("Your family name:", "");
    it = form.addOutputField();
    form.show();
    while (!ok)
      waitOk();
    it.setText("Hello,\n" + firstName + " " + familyName);
  }

  public void doOk()
  {
    firstName = form.getText(tf1);
    familyName = form.getText(tf2);
    // Simple validation
    if (firstName.equals("") || familyName.equals(""))
      it.setText("Illegal entry");
    else
      ok = true;
  }
}
