// ManyDisplays.java

import ch.aplu.gidlet.*;
import javax.microedition.lcdui.*;

public class ManyDisplaysGidlet extends Gidlet
{
  public void main()
  {
    MPanel p1 = new MPanel("p1"); // shown
    p1.label("  Here is p1. Wait...", 0.5);
    delay(4000);
    MPanel p2 = new MPanel("p2", false);  // not shown
    MForm f = new MForm("MForm");  // not shown
    Item out = f.addOutputField();
    f.setText(out, "MForm.\nPress Exit to quit");

    MConsole c = new MConsole();  // shown
    c.print("Performing some\ncalculations now...");

    // not shown, because p1 and p2 are hidden
    p1.label("", 0.5);
    p1.move(0.5, 0.5);
    p1.fillCircle(0.4);
    p2.move(0.5, 0.5);
    p2.color(RED);
    p2.fillRectangle(0.8, 0.8);
    delay(4000);

    c.println("Done.\nShow results...");
    delay(4000);

    p1.show();
    delay(4000);

    p2.show();
    delay(4000);

    c.clear(BLUE, YELLOW);
    c.println("Here is the console again");
    c.print("We will quit in a moment...");
    c.show();
    delay(4000);

    f.show(); // shown
  }
}
