// FileEnumGidlet.java

import ch.aplu.gidlet.*;
import ch.aplu.nxt.*;

public class FileEnumGidlet extends Gidlet
{
  public void main()
  {
    NxtRobot robot = new NxtRobot();
    MConsole c =  new MConsole();
    int nb = 0;
    int totalSize = 0;
    FileInfo fi = robot.findFirst();
    c.println("\nEnumerating files...");
    if (fi == null)
      c.println("no files found");
    else
    {
      c.println(fi.fileName);
      nb++;
      totalSize += fi.fileSize;
      while ((fi = robot.findNext(fi.fileHandle)) != null)
      {
        c.println(fi.fileName);
        nb++;
        totalSize += fi.fileSize;
      }
      c.println("\nNumber of files: " + nb);
      c.println("Total space used: " + totalSize);
    }
    robot.disconnect();
  }
}


